package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.AntrianPasienDiPeriksa;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapRiwayatKeluargaVO extends BaseTransactionVO {
	@ManyToOne
	@JoinColumn(name = "ObjectantrianPasienDiPeriksaFk")
	@Caption(value = "Object antrianPasienDiPeriksa")
	private AntrianPasienDiPeriksaVO antrianPasienDiPeriksa;

	@Column(name = "ObjectantrianPasienDiPeriksaFk", insertable = false, updatable = false,nullable=true)
	private String antrianPasienDiPeriksaId;

	@Column(name = "namaIbu", nullable = true)
	@Caption(value="Nama Ibu")
	private String namaIbu;
	@Column(name = "umurIbu", nullable = true)
	@Caption(value="Umur Ibu")
	private String umurIbu;
	@Column(name = "bangsaIbu", nullable = true)
	@Caption(value="Bangsa Ibu")
	private String bangsaIbu;
	@Column(name = "kesehatanIbu", nullable = true)
	@Caption(value="Kesehatan Ibu")
	private String kesehatanIbu;
	@Column(name = "namaAyah", nullable = true)
	@Caption(value="Nama Ayah")
	private String namaAyah;
	@Column(name = "umurAyah", nullable = true)
	@Caption(value="Umur Ayah")
	private String umurAyah;
	@Column(name = "bangsaAyah", nullable = true)
	@Caption(value="Bangsa Ayah")
	private String bangsaAyah;
	@Column(name = "kesehatanAyah", nullable = true)
	@Caption(value="Kesehatan Ayah")
	private String kesehatanAyah;
	@Column(name = "anakAnakLain", nullable = true)
	@Caption(value="Anak Anak Lain")
	private String anakAnakLain;
	
	public String getNamaIbu() {
		return namaIbu;
	}
	public void setNamaIbu(String namaIbu) {
		this.namaIbu = namaIbu;
	}
	public String getUmurIbu() {
		return umurIbu;
	}
	public void setUmurIbu(String umurIbu) {
		this.umurIbu = umurIbu;
	}
	public String getBangsaIbu() {
		return bangsaIbu;
	}
	public void setBangsaIbu(String bangsaIbu) {
		this.bangsaIbu = bangsaIbu;
	}
	public String getKesehatanIbu() {
		return kesehatanIbu;
	}
	public void setKesehatanIbu(String kesehatanIbu) {
		this.kesehatanIbu = kesehatanIbu;
	}
	public String getNamaAyah() {
		return namaAyah;
	}
	public void setNamaAyah(String namaAyah) {
		this.namaAyah = namaAyah;
	}
	public String getUmurAyah() {
		return umurAyah;
	}
	public void setUmurAyah(String umurAyah) {
		this.umurAyah = umurAyah;
	}
	public String getBangsaAyah() {
		return bangsaAyah;
	}
	public void setBangsaAyah(String bangsaAyah) {
		this.bangsaAyah = bangsaAyah;
	}
	public String getKesehatanAyah() {
		return kesehatanAyah;
	}
	public void setKesehatanAyah(String kesehatanAyah) {
		this.kesehatanAyah = kesehatanAyah;
	}
	public String getAnakAnakLain() {
		return anakAnakLain;
	}
	public void setAnakAnakLain(String anakAnakLain) {
		this.anakAnakLain = anakAnakLain;
	}
	public AntrianPasienDiPeriksaVO getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}
	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksaVO antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}
	public String getAntrianPasienDiPeriksaId() {
		return antrianPasienDiPeriksaId;
	}
	public void setAntrianPasienDiPeriksaId(String antrianPasienDiPeriksaId) {
		this.antrianPasienDiPeriksaId = antrianPasienDiPeriksaId;
	}
	
}
